namespace Brizco.Common.Models.Entity;


public class MartenEntity : IMartenEntity
{
    public Guid Id { get; set; }


    //[Display(Name = "تاریخ ساخت")]
    //public DateTime CreatedAt { get; set; }

    //[Display(Name = "ساخته شده توسط")]
    //public string CreatedBy { get; set; } = string.Empty;

    //[Display(Name = "اخرین تغییر در")]
    //public DateTime ModifiedAt { get; set; }

    //[Display(Name = "اخرین تغییر توسط")]
    //public string ModifiedBy { get; set; } = string.Empty;


    public Guid ComplexId { get; set; }

    public bool Equals(MartenEntity other)
    {
        if (ReferenceEquals(null, other)) return false;
        if (ReferenceEquals(this, other)) return true;
        return Id.Equals(other.Id);
    }

    public override bool Equals(object obj)
    {
        if (ReferenceEquals(null, obj)) return false;
        if (ReferenceEquals(this, obj)) return true;
        if (obj.GetType() != this.GetType()) return false;
        return Equals((MartenEntity)obj);
    }

    public override int GetHashCode()
    {
        return Id.GetHashCode();
    }
}